HashDocAttributeSet (Java Platform SE 8 )
Keywords: javax.print.attribute.HashDocAttributeSet class
Date: 2026-07-22

javax.print.attribute

## Class HashDocAttributeSet

- java.lang.Object
- - javax.print.attribute.HashAttributeSet
  - - javax.print.attribute.HashDocAttributeSet

- All Implemented Interfaces:
    Serializable, AttributeSet, DocAttributeSet

      public class HashDocAttributeSet
      extends HashAttributeSet
      implements DocAttributeSet, Serializable

  Class HashDocAttributeSet provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `DocAttributeSet`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashDocAttributeSet()` Construct a new, empty hash doc attribute set.
    `HashDocAttributeSet(DocAttribute attribute)` Construct a new hash doc attribute set, initially populated with the given value.
    `HashDocAttributeSet(DocAttribute[] attributes)` Construct a new hash doc attribute set, initially populated with the values from the given array.
    `HashDocAttributeSet(DocAttributeSet attributes)` Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `DocAttribute` interface.

  - ### Method Summary

    - ### Methods inherited from class javax.print.attribute.HashAttributeSet

      `add, addAll, clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.print.attribute.DocAttributeSet

      `add, addAll`

    - ### Methods inherited from interface javax.print.attribute.AttributeSet

      `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

- - ### Constructor Detail

    - #### HashDocAttributeSet

          public HashDocAttributeSet()

      Construct a new, empty hash doc attribute set.

    - #### HashDocAttributeSet

          public HashDocAttributeSet(DocAttribute attribute)

      Construct a new hash doc attribute set, initially populated with the given value.
      Parameters:
        `attribute` - Attribute value to add to the set.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if `attribute` is null.

    - #### HashDocAttributeSet

          public HashDocAttributeSet(DocAttribute[] attributes)

      Construct a new hash doc attribute set, initially populated with the values from the given array. The new attribute set is populated by adding the elements of `attributes` array to the set in sequence, starting at index 0. Thus, later array elements may replace earlier array elements if the array contains duplicate attribute values or attribute categories.
      Parameters:
        `attributes` - Array of attribute values to add to the set. If null, an empty attribute set is constructed.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if any element of `attributes` is null.

    - #### HashDocAttributeSet

          public HashDocAttributeSet(DocAttributeSet attributes)

      Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `DocAttribute` interface.
      Parameters:
        `attributes` - set of attribute values to initialise the set. If null, an empty attribute set is constructed.
      Throws:
        `ClassCastException` - (unchecked exception) Thrown if any element of `attributes` is not an instance of `DocAttribute`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.